directory-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From pamarce...@apache.org
Subject svn commit: r635982 - in /directory/sandbox/pamarcelot/trunks/apacheds-additional-installers: daemon/plugin/src/main/java/org/apache/directory/daemon/installers/deb/ daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/ installer...
Date Tue, 11 Mar 2008 15:52:56 GMT
Author: pamarcelot
Date: Tue Mar 11 08:52:40 2008
New Revision: 635982

URL: http://svn.apache.org/viewvc?rev=635982&view=rev
Log:
Updated Debian Installer Command.

Added:
    directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-default.conf
    directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-init
    directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds.conf
    directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
Modified:
    directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/java/org/apache/directory/daemon/installers/deb/DebInstallerCommand.java
    directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/control
    directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/installers/apacheds/pom.xml

Modified: directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/java/org/apache/directory/daemon/installers/deb/DebInstallerCommand.java
URL: http://svn.apache.org/viewvc/directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/java/org/apache/directory/daemon/installers/deb/DebInstallerCommand.java?rev=635982&r1=635981&r2=635982&view=diff
==============================================================================
--- directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/java/org/apache/directory/daemon/installers/deb/DebInstallerCommand.java
(original)
+++ directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/java/org/apache/directory/daemon/installers/deb/DebInstallerCommand.java
Tue Mar 11 08:52:40 2008
@@ -63,6 +63,7 @@
         super( mymojo );
         this.target = target;
         this.log = mymojo.getLog();
+        initializeFiltering();
     }
 
 
@@ -108,17 +109,60 @@
 
         log.info( "Copying DEB Package files" );
 
-        // Copying the apacheds files in the '/usr/local/apacheds' directory
-        File debApacheDsDirectory = new File( debDirectory, "usr/local/apacheds" );
+        // Copying the apacheds files in the '/opt/apacheds-$VERSION/' directory
+        File debApacheDsHomeDirectory = new File( debDirectory, "opt/apacheds-" + target.getApplication().getVersion()
);
         try
         {
-            MojoHelperUtils.copyFiles( baseDirectory, debApacheDsDirectory );
+            // Copying the generated layout
+            MojoHelperUtils.copyFiles( baseDirectory, debApacheDsHomeDirectory );
+
+            // Replacing the apacheds.conf file
+            MojoHelperUtils.copyAsciiFile( mymojo, filterProperties, getClass().getResourceAsStream(
"apacheds.conf" ),
+                new File( debApacheDsHomeDirectory, "conf/apacheds.conf" ), false );
         }
         catch ( IOException e )
         {
             log.error( e.getMessage() );
             throw new MojoFailureException( "Failed to copy image (" + target.getLayout().getBaseDirectory()
-                + ") to the DEB directory (" + debApacheDsDirectory + ")" );
+                + ") to the DEB directory (" + debApacheDsHomeDirectory + ")" );
+        }
+
+        // Copying the instances in the '/var/lib/apacheds-$VERSION/default' directory
+        File debDefaultInstanceDirectory = new File( debDirectory, "var/lib/apacheds-"
+            + target.getApplication().getVersion() + "/default" );
+        debDefaultInstanceDirectory.mkdirs();
+        File debDefaultInstanceConfDirectory = new File( debDefaultInstanceDirectory, "conf"
);
+        debDefaultInstanceConfDirectory.mkdirs();
+        new File( debDefaultInstanceDirectory, "ldif" ).mkdirs();
+        new File( debDefaultInstanceDirectory, "log" ).mkdirs();
+        new File( debDefaultInstanceDirectory, "partitions" ).mkdirs();
+        new File( debDefaultInstanceDirectory, "run" ).mkdirs();
+        File debEtcInitdDirectory = new File( debDirectory, "etc/init.d" );
+        debEtcInitdDirectory.mkdirs();
+        try
+        {
+            // Copying the apacheds.conf file in the default instance conf directory
+            MojoHelperUtils.copyAsciiFile( mymojo, filterProperties, getClass().getResourceAsStream(
+                "apacheds-default.conf" ), new File( debDefaultInstanceConfDirectory, "apacheds.conf"
), false );
+
+            // Copying the log4j.properties file in the default instance conf directory
+            MojoHelperUtils.copyAsciiFile( mymojo, filterProperties, new File( debApacheDsHomeDirectory,
+                "conf/log4j.properties" ), new File( debDefaultInstanceConfDirectory, "log4j.properties"
), false );
+
+            // Copying the server.xml file in the default instance conf directory
+            MojoHelperUtils.copyAsciiFile( mymojo, filterProperties, new File( debApacheDsHomeDirectory,
+                "conf/server.xml" ), new File( debDefaultInstanceConfDirectory, "server.xml"
), false );
+
+            // Copying the init script in /etc/init.d/
+            MojoHelperUtils
+                .copyAsciiFile( mymojo, filterProperties, getClass().getResourceAsStream(
"apacheds-init" ), new File(
+                    debEtcInitdDirectory, "apacheds-" + target.getApplication().getVersion()
+ "-default" ), true );
+        }
+        catch ( IOException e )
+        {
+            log.error( e.getMessage() );
+            throw new MojoFailureException( "Failed to copy resources files to the DEB directory
("
+                + debDefaultInstanceDirectory + ")" );
         }
 
         // Create DEBIAN directory
@@ -130,6 +174,9 @@
         {
             MojoHelperUtils.copyAsciiFile( mymojo, filterProperties, getClass().getResourceAsStream(
"control" ),
                 new File( debDebianDirectory, "control" ), true );
+
+            MojoHelperUtils.copyAsciiFile( mymojo, filterProperties, getClass().getResourceAsStream(
"postinst" ),
+                new File( debDebianDirectory, "postinst" ), true );
         }
         catch ( IOException e )
         {
@@ -137,14 +184,24 @@
             throw new MojoFailureException( "Failed to copy DEB 'control' file." );
         }
 
+        // Setting correct permission on the postinst script
+        MojoHelperUtils.exec( new String[]
+            { "chmod", "755", new File( debDebianDirectory, "postinst" ).toString() }, debDebianDirectory,
false );
+
         // Generating the DEB
         log.info( "Generating Debian DEB Package" );
+        String finalName = target.getFinalName();
+        if ( !finalName.endsWith( ".deb" ) )
+        {
+            finalName = finalName + ".deb";
+        }
         Execute createDebTask = new Execute();
         String[] cmd = new String[]
-            { dpkgUtility.getAbsolutePath(), "-b", target.getId() + "-deb", target.getFinalName()
+ ".deb" };
+            { dpkgUtility.getAbsolutePath(), "-b", target.getId() + "-deb", finalName };
         createDebTask.setCommandline( cmd );
         createDebTask.setSpawn( true );
         createDebTask.setWorkingDirectory( imagesDirectory );
+
         try
         {
             createDebTask.execute();
@@ -155,7 +212,32 @@
             throw new MojoFailureException( "Failed while trying to generate the DEB package:
" + e.getMessage() );
         }
 
-        log.info( "Debian DEB package generated at " + new File( imagesDirectory, target.getFinalName()
+ ".deb" ) );
+        log.info( "Debian DEB package generated at " + new File( imagesDirectory, finalName
) );
+    }
+
+
+    private void initializeFiltering()
+    {
+        filterProperties.putAll( mymojo.getProject().getProperties() );
+        filterProperties.put( "app", target.getApplication().getName() );
+        String version = target.getApplication().getVersion();
+        if ( target.getApplication().getVersion() != null )
+        {
+            if ( version.endsWith( "-SNAPSHOT" ) )
+            {
+                filterProperties.put( "version.debian", version + "1" );
+            }
+            else
+            {
+                filterProperties.put( "version.debian", version );
+            }
+
+            filterProperties.put( "app.version", version );
+        }
+        else
+        {
+            filterProperties.put( "app.version", "1.0" );
+        }
     }
 
 

Added: directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-default.conf
URL: http://svn.apache.org/viewvc/directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-default.conf?rev=635982&view=auto
==============================================================================
--- directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-default.conf
(added)
+++ directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-default.conf
Tue Mar 11 08:52:40 2008
@@ -0,0 +1,41 @@
+#
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+#
+  
+#
+# In this file you can override parameters specified in the default
+# Apache Directory Server config file which is usually at
+# /opt/apacheds-x.x.x/conf/apacheds.conf
+#
+# See also http://wrapper.tanukisoftware.org/doc/english/properties.html
+# For a list of properties that can be set.
+#
+# Common overrides shown commented below
+
+
+# Override the JRE used
+# wrapper.java.command=%JAVA_HOME%/bin/java
+
+# Override the JVM memory settings
+# Initial Java Heap Size (in MB)
+# wrapper.java.initmemory=384
+
+# Maximum Java Heap Size (in MB)
+# wrapper.java.maxmemory=384
+
+# apacheds.instance.start=auto
\ No newline at end of file

Added: directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-init
URL: http://svn.apache.org/viewvc/directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-init?rev=635982&view=auto
==============================================================================
--- directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-init
(added)
+++ directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds-init
Tue Mar 11 08:52:40 2008
@@ -0,0 +1,595 @@
+#! /bin/sh
+#
+#
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+#
+
+# Shell script to start/stop Apache Directory Server
+# If you want to change apacheds service settings please modify the apacheds.conf 
+# file for the instance you wish to change.
+# chkconfig: 2345 91 35
+# description: This script starts and stops Apache DS
+#
+
+# Variables
+INSTANCE_HOME=/var/lib/@app@-@app.version@
+APACHEDS_HOME=/opt/@app@-@app.version@
+INSTANCE=default
+
+# Application
+APP_NAME="@app@"
+export APACHEDS_HOME
+APP_LONG_NAME="Apache Directory Server - $INSTANCE"
+
+
+# Wrapper
+WRAPPER_CMD="$APACHEDS_HOME/bin/@app@"
+WRAPPER_CONF="$APACHEDS_HOME/conf/@app@.conf"
+
+# Priority at which to run the wrapper.  See "man nice" for valid priorities.
+#  nice is only used if a priority is specified.
+PRIORITY=
+
+# Location of the pid file.
+PIDDIR="/var/run"
+
+# If uncommented, causes the Wrapper to be shutdown using an anchor file.
+#  When launched with the 'start' command, it will also ignore all INT and
+#  TERM signals.
+#IGNORE_SIGNALS=true
+
+# If specified, the Wrapper will be run as the specified user.
+# IMPORTANT - Make sure that the user has the required privileges to write
+#  the PID file and wrapper.log files.  Failure to be able to write the log
+#  file will cause the Wrapper to exit without any way to write out an error
+#  message.
+# NOTE - This will set the user which is used to run the Wrapper as well as
+#  the JVM and is not useful in situations where a privileged resource or
+#  port needs to be allocated prior to the user being changed.
+#RUN_AS_USER=$APP_NAME
+RUN_AS_USER=root
+
+# Do not modify anything beyond this point
+#-----------------------------------------------------------------------------
+
+# Get the fully qualified path to the script
+case $0 in
+    /*)
+        SCRIPT="$0"
+        ;;
+    *)
+        PWD=`pwd`
+        SCRIPT="$PWD/$0"
+        ;;
+esac
+
+# Resolve the true real path without any sym links.
+CHANGED=true
+while [ "X$CHANGED" != "X" ]
+do
+    # Change spaces to ":" so the tokens can be parsed.
+    SAFESCRIPT=`echo $SCRIPT | sed -e 's; ;:;g'`
+    # Get the real path to this script, resolving any symbolic links
+    TOKENS=`echo $SAFESCRIPT | sed -e 's;/; ;g'`
+    REALPATH=
+    for C in $TOKENS; do
+        # Change any ":" in the token back to a space.
+        C=`echo $C | sed -e 's;:; ;g'`
+        REALPATH="$REALPATH/$C"
+        # If REALPATH is a sym link, resolve it.  Loop for nested links.
+        while [ -h "$REALPATH" ] ; do
+            LS="`ls -ld "$REALPATH"`"
+            LINK="`expr "$LS" : '.*-> \(.*\)$'`"
+            if expr "$LINK" : '/.*' > /dev/null; then
+                # LINK is absolute.
+                REALPATH="$LINK"
+            else
+                # LINK is relative.
+                REALPATH="`dirname "$REALPATH"`""/$LINK"
+            fi
+        done
+    done
+
+    if [ "$REALPATH" = "$SCRIPT" ]
+    then
+        CHANGED=""
+    else
+        SCRIPT="$REALPATH"
+    fi
+done
+
+# Change the current directory to the location of the script
+cd "`dirname "$REALPATH"`"
+REALDIR=`pwd`
+
+# If the PIDDIR is relative, set its value relative to the full REALPATH to avoid problems
if
+#  the working directory is later changed.
+FIRST_CHAR=`echo $PIDDIR | cut -c1,1`
+if [ "$FIRST_CHAR" != "/" ]
+then
+    PIDDIR=$REALDIR/$PIDDIR
+fi
+# Same test for WRAPPER_CMD
+FIRST_CHAR=`echo $WRAPPER_CMD | cut -c1,1`
+if [ "$FIRST_CHAR" != "/" ]
+then
+    WRAPPER_CMD=$REALDIR/$WRAPPER_CMD
+fi
+# Same test for WRAPPER_CONF
+FIRST_CHAR=`echo $WRAPPER_CONF | cut -c1,1`
+if [ "$FIRST_CHAR" != "/" ]
+then
+    WRAPPER_CONF=$REALDIR/$WRAPPER_CONF
+fi
+
+# Process ID
+ANCHORFILE="$PIDDIR/@app@-@app.version@-$INSTANCE.anchor"
+PIDFILE="$PIDDIR/@app@-@app.version@-$INSTANCE.pid"
+LOCKDIR="/var/lock/subsys"
+LOCKFILE="$LOCKDIR/$INSTANCE"
+pid=""
+
+# Resolve the location of the 'ps' command
+PSEXE="/usr/bin/ps"
+if [ ! -x "$PSEXE" ]
+then
+    PSEXE="/bin/ps"
+    if [ ! -x "$PSEXE" ]
+    then
+        echo "Unable to locate 'ps'."
+        echo "Please report this message along with the location of the command on your system."
+        exit 1
+    fi
+fi
+
+# Resolve the os
+DIST_OS=`uname -s | tr [:upper:] [:lower:] | tr -d [:blank:]`
+case "$DIST_OS" in
+    'sunos')
+        DIST_OS="solaris"
+        ;;
+    'hp-ux' | 'hp-ux64')
+        DIST_OS="hpux"
+        ;;
+    'darwin')
+        DIST_OS="macosx"
+        ;;
+    'unix_sv')
+        DIST_OS="unixware"
+        ;;
+esac
+
+# Resolve the architecture
+DIST_ARCH=`uname -p | tr [:upper:] [:lower:] | tr -d [:blank:]`
+if [ "$DIST_ARCH" = "unknown" ]
+then
+    DIST_ARCH=`uname -m | tr [:upper:] [:lower:] | tr -d [:blank:]`
+fi
+case "$DIST_ARCH" in
+    'amd64' | 'athlon' | 'ia32' | 'ia64' | 'i386' | 'i486' | 'i586' | 'i686' | 'x86_64')
+        DIST_ARCH="x86"
+        ;;
+    'ip27')
+        DIST_ARCH="mips"
+        ;;
+    'power' | 'powerpc' | 'power_pc' | 'ppc64')
+        DIST_ARCH="ppc"
+        ;;
+    'pa_risc' | 'pa-risc')
+        DIST_ARCH="parisc"
+        ;;
+    'sun4u' | 'sparcv9')
+        DIST_ARCH="sparc"
+        ;;
+    '9000/800')
+        DIST_ARCH="parisc"
+        ;;
+esac
+
+outputFile() {
+    if [ -f "$1" ]
+    then
+        echo "  $1 (Found but not executable.)";
+    else
+        echo "  $1"
+    fi
+}
+
+# Decide on the wrapper binary to use.
+# If a 32-bit wrapper binary exists then it will work on 32 or 64 bit
+#  platforms, if the 64-bit binary exists then the distribution most
+#  likely wants to use long names.  Otherwise, look for the default.
+# For macosx, we also want to look for universal binaries.
+WRAPPER_TEST_CMD="$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-32"
+if [ -x "$WRAPPER_TEST_CMD" ]
+then
+    WRAPPER_CMD="$WRAPPER_TEST_CMD"
+else
+    if [ "$DIST_OS" = "macosx" ]
+    then
+        WRAPPER_TEST_CMD="$WRAPPER_CMD-$DIST_OS-universal-32"
+        if [ -x "$WRAPPER_TEST_CMD" ]
+        then
+            WRAPPER_CMD="$WRAPPER_TEST_CMD"
+        else
+            WRAPPER_TEST_CMD="$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-64"
+            if [ -x "$WRAPPER_TEST_CMD" ]
+            then
+                WRAPPER_CMD="$WRAPPER_TEST_CMD"
+            else
+                WRAPPER_TEST_CMD="$WRAPPER_CMD-$DIST_OS-universal-64"
+                if [ -x "$WRAPPER_TEST_CMD" ]
+                then
+                    WRAPPER_CMD="$WRAPPER_TEST_CMD"
+                else
+                    if [ ! -x "$WRAPPER_CMD" ]
+                    then
+                        echo "Unable to locate any of the following binaries:"
+                        outputFile "$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-32"
+                        outputFile "$WRAPPER_CMD-$DIST_OS-universal-32"
+                        outputFile "$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-64"
+                        outputFile "$WRAPPER_CMD-$DIST_OS-universal-64"
+                        outputFile "$WRAPPER_CMD"
+                        exit 1
+                    fi
+                fi
+            fi
+        fi
+    else
+        WRAPPER_TEST_CMD="$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-64"
+        if [ -x "$WRAPPER_TEST_CMD" ]
+        then
+            WRAPPER_CMD="$WRAPPER_TEST_CMD"
+        else
+            if [ ! -x "$WRAPPER_CMD" ]
+            then
+                echo "Unable to locate any of the following binaries:"
+                outputFile "$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-32"
+                outputFile "$WRAPPER_CMD-$DIST_OS-$DIST_ARCH-64"
+                outputFile "$WRAPPER_CMD"
+                exit 1
+            fi
+        fi
+    fi
+fi
+
+# Build the nice clause
+if [ "X$PRIORITY" = "X" ]
+then
+    CMDNICE=""
+else
+    CMDNICE="nice -$PRIORITY"
+fi
+
+# Build the anchor file clause.
+if [ "X$IGNORE_SIGNALS" = "X" ]
+then
+   ANCHORPROP=
+   IGNOREPROP=
+else
+   ANCHORPROP=wrapper.anchorfile=\"$ANCHORFILE\"
+   IGNOREPROP=wrapper.ignore_signals=TRUE
+fi
+
+# Build the lock file clause.  Only create a lock file if the lock directory exists on this
platform.
+LOCKPROP=
+if [ -d $LOCKDIR ]
+then
+    if [ -w $LOCKDIR ]
+    then
+        LOCKPROP=wrapper.lockfile=\"$LOCKFILE\"
+    fi
+fi
+
+checkUser() {
+    # $1 touchLock flag
+    # $2 command
+    # $3 instance
+
+    # Check the configured user.  If necessary rerun this script as the desired user.
+    if [ "X$RUN_AS_USER" != "X" ]
+    then
+        # Resolve the location of the 'id' command
+        IDEXE="/usr/xpg4/bin/id"
+        if [ ! -x "$IDEXE" ]
+        then
+            IDEXE="/usr/bin/id"
+            if [ ! -x "$IDEXE" ]
+            then
+                echo "Unable to locate 'id'."
+                echo "Please report this message along with the location of the command on
your system."
+                exit 1
+            fi
+        fi
+
+        if [ "`$IDEXE -u -n`" = "$RUN_AS_USER" ]
+        then
+            # Already running as the configured user.  Avoid password prompts by not calling
su.
+            RUN_AS_USER=""
+        fi
+    fi
+    if [ "X$RUN_AS_USER" != "X" ]
+    then
+        # If LOCKPROP and $RUN_AS_USER are defined then the new user will most likely not
be
+        # able to create the lock file.  The Wrapper will be able to update this file once
it
+        # is created but will not be able to delete it on shutdown.  If $2 is defined then
+        # the lock file should be created for the current command
+        if [ "X$LOCKPROP" != "X" ]
+        then
+            if [ "X$1" != "X" ]
+            then
+                # Resolve the primary group 
+                RUN_AS_GROUP=`groups $RUN_AS_USER | awk '{print $3}' | tail -1`
+                if [ "X$RUN_AS_GROUP" = "X" ]
+                then
+                    RUN_AS_GROUP=$RUN_AS_USER
+                fi
+                touch $LOCKFILE
+                chown $RUN_AS_USER:$RUN_AS_GROUP $LOCKFILE
+            fi
+        fi
+
+        # Still want to change users, recurse.  This means that the user will only be
+        #  prompted for a password once. Variables shifted by 1
+        su -m $RUN_AS_USER -c "\"$REALPATH\" $2 $3"
+
+        # Now that we are the original user again, we may need to clean up the lock file.
+        if [ "X$LOCKPROP" != "X" ]
+        then
+            getpid
+            if [ "X$pid" = "X" ]
+            then
+                # Wrapper is not running so make sure the lock file is deleted.
+                if [ -f "$LOCKFILE" ]
+                then
+                    rm "$LOCKFILE"
+                fi
+            fi
+        fi
+
+        exit 0
+    fi
+}
+
+getpid() {
+    if [ -f "$PIDFILE" ]
+    then
+        if [ -r "$PIDFILE" ]
+        then
+            pid=`cat "$PIDFILE"`
+            if [ "X$pid" != "X" ]
+            then
+                # It is possible that 'a' process with the pid exists but that it is not
the
+                #  correct process.  This can happen in a number of cases, but the most
+                #  common is during system startup after an unclean shutdown.
+                # The ps statement below looks for the specific wrapper command running as
+                #  the pid.  If it is not found then the pid file is considered to be stale.
+                pidtest=`$PSEXE -p $pid -o args | grep "$WRAPPER_CMD" | tail -1`
+                if [ "X$pidtest" = "X" ]
+                then
+                    # This is a stale pid file.
+                    rm -f "$PIDFILE"
+                    echo "Removed stale pid file: $PIDFILE"
+                    pid=""
+                fi
+            fi
+        else
+            echo "Cannot read $PIDFILE."
+            exit 1
+        fi
+    fi
+}
+
+testpid() {
+    pid=`$PSEXE -p $pid | grep $pid | grep -v grep | awk '{print $1}' | tail -1`
+    if [ "X$pid" = "X" ]
+    then
+        # Process is gone so remove the pid file.
+        rm -f "$PIDFILE"
+        pid=""
+    fi
+}
+
+usage() {
+    echo "Please enter an instance name..."
+    echo "Usage: $0 <command> <instance name>"
+    echo "  Available Commands: "
+    echo "      console     - Run in interactive mode with log output to the console."
+    echo "                    Press CTRL-C to stop."
+    echo "      start       - Run the instance in the background"
+    echo "      stop        - Stop the running instance"
+    echo "      restart     - Restart the instance if it is already running,"
+    echo "                    or start if it wasn't already running"
+    echo "      status      - Display the status of the instance (running or stopped)"
+    echo "      dump        - Request a JVM dump of the running process"
+}
+
+console() {
+    echo "Running $APP_LONG_NAME..."
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        # The string passed to eval must handles spaces in paths correctly.
+        COMMAND_LINE="$CMDNICE \"$WRAPPER_CMD\" \"$WRAPPER_CONF\" set.INSTANCE_HOME=\"$INSTANCE_HOME\"
set.INSTANCE=\"$INSTANCE\" wrapper.syslog.ident=$APP_NAME wrapper.pidfile=\"$PIDFILE\" $ANCHORPROP
$LOCKPROP wrapper.debug=true"
+        eval $COMMAND_LINE
+    else
+        echo "$APP_LONG_NAME is already running."
+        exit 1
+    fi
+}
+ 
+start() {
+    echo "Starting $APP_LONG_NAME..."
+    getpid
+     if [ "X$pid" = "X" ]
+     then
+         # The string passed to eval must handles spaces in paths correctly.
+         COMMAND_LINE="$CMDNICE \"$WRAPPER_CMD\" \"$WRAPPER_CONF\" set.INSTANCE_HOME=$INSTANCE_HOME
set.INSTANCE=$INSTANCE wrapper.syslog.ident=$APP_NAME wrapper.pidfile=\"$PIDFILE\" wrapper.daemonize=TRUE
$ANCHORPROP $IGNOREPROP $LOCKPROP"
+         eval $COMMAND_LINE
+     else
+         echo "$APP_LONG_NAME is already running."
+         exit 1
+     fi
+
+
+}
+ 
+stopit() {
+    echo "Stopping $APP_LONG_NAME..."
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        echo "$APP_LONG_NAME was not running."
+    else
+        if [ "X$IGNORE_SIGNALS" = "X" ]
+        then
+            # Running so try to stop it.
+            kill $pid
+            if [ $? -ne 0 ]
+            then
+                # An explanation for the failure should have been given
+                echo "Unable to stop $APP_LONG_NAME."
+                exit 1
+            fi
+        else
+            rm -f "$ANCHORFILE"
+            if [ -f "$ANCHORFILE" ]
+            then
+                # An explanation for the failure should have been given
+                echo "Unable to stop $APP_LONG_NAME."
+                exit 1
+            fi
+        fi
+
+        # We can not predict how long it will take for the wrapper to
+        #  actually stop as it depends on settings in apacheds.conf.
+        #  Loop until it does.
+        savepid=$pid
+        CNT=0
+        TOTCNT=0
+        while [ "X$pid" != "X" ]
+        do
+            # Show a waiting message every 5 seconds.
+            if [ "$CNT" -lt "5" ]
+            then
+                CNT=`expr $CNT + 1`
+            else
+                echo "Waiting for $APP_LONG_NAME to exit..."
+                CNT=0
+            fi
+            TOTCNT=`expr $TOTCNT + 1`
+
+            sleep 1
+
+            testpid
+        done
+
+        pid=$savepid
+        testpid
+        if [ "X$pid" != "X" ]
+        then
+            echo "Failed to stop $APP_LONG_NAME."
+            exit 1
+        else
+            echo "Stopped $APP_LONG_NAME."
+        fi
+    fi
+}
+
+status() {
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        echo "$APP_LONG_NAME is not running."
+        exit 1
+    else
+        echo "$APP_LONG_NAME is running ($pid)."
+        exit 0
+    fi
+}
+
+dump() {
+    echo "Dumping $APP_LONG_NAME..."
+    getpid
+    if [ "X$pid" = "X" ]
+    then
+        echo "$APP_LONG_NAME was not running."
+
+    else
+        kill -3 $pid
+
+        if [ $? -ne 0 ]
+        then
+            echo "Failed to dump $APP_LONG_NAME."
+            exit 1
+        else
+            echo "Dumped $APP_LONG_NAME."
+        fi
+    fi
+}
+
+list() {
+  echo "Available instances..."
+  for instance in $INSTANCE_HOME/* ; do
+	echo "	" `basename $instance`;
+  done
+}
+
+case "$1" in
+
+    'console')
+        checkUser touchlock $1 $INSTANCE
+        console
+        ;;
+
+    'start')
+        checkUser touchlock $1 $INSTANCE
+        start
+        ;;
+
+    'stop')
+        checkUser "" $1 $INSTANCE
+        stopit
+        ;;
+
+    'restart')
+        checkUser touchlock $1 $INSTANCE
+        stopit
+        start
+        ;;
+
+    'status')
+        checkUser "" $1 $INSTANCE
+        status
+        ;;
+
+    'dump')
+        checkUser "" $1 $INSTANCE
+        dump
+        ;;
+    'list')
+        list
+        ;;
+
+    *)
+        echo "Usage: $0 { console | start | stop | restart | status | dump } <instance
name>"
+        exit 1
+        ;;
+esac
+
+exit 0

Added: directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds.conf
URL: http://svn.apache.org/viewvc/directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds.conf?rev=635982&view=auto
==============================================================================
--- directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds.conf
(added)
+++ directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/apacheds.conf
Tue Mar 11 08:52:40 2008
@@ -0,0 +1,124 @@
+#
+#  Licensed to the Apache Software Foundation (ASF) under one
+#  or more contributor license agreements.  See the NOTICE file
+#  distributed with this work for additional information
+#  regarding copyright ownership.  The ASF licenses this file
+#  to you under the Apache License, Version 2.0 (the
+#  "License"); you may not use this file except in compliance
+#  with the License.  You may obtain a copy of the License at
+#
+#    http://www.apache.org/licenses/LICENSE-2.0
+#
+#  Unless required by applicable law or agreed to in writing,
+#  software distributed under the License is distributed on an
+#  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
+#  KIND, either express or implied.  See the License for the
+#  specific language governing permissions and limitations
+#  under the License.
+#
+
+#include /etc/apacheds/%INSTANCE%.conf
+
+# If the default java executable is not on the path,
+# this will need to be set to a fully qualified path.
+# This can also be overridden in /var/lib/apacheds/<instance_name>/conf/apacheds.conf
+#
+#wrapper.java.command=/usr/local/java/jdk1.5.0_10/bin/java
+
+wrapper.java.mainclass=org.apache.directory.daemon.TanukiBootstrapper
+wrapper.max_failed_invocations=1
+
+wrapper.java.classpath.1=../lib/bootstrapper.jar
+wrapper.java.classpath.2=../lib/wrapper.jar
+wrapper.java.classpath.3=../lib/slf4j-api-1.4.3.jar
+wrapper.java.classpath.4=../lib/slf4j-log4j12-1.4.3.jar
+wrapper.java.classpath.5=../lib/log4j-1.2.14.jar
+
+# Java Library Path (location of Wrapper.DLL or libwrapper.so)
+wrapper.java.library.path.1=../lib
+
+# Java Additional Parameters
+wrapper.java.additional.1=-Dlog4j.configuration=file:///%INSTANCE_HOME%/%INSTANCE%/conf/log4j.properties
+wrapper.java.additional.2=-Dapacheds.var.dir=%INSTANCE_HOME%/%INSTANCE%
+wrapper.java.additional.3=-Dapacheds.log.dir=%INSTANCE_HOME%/%INSTANCE%/log
+wrapper.java.additional.4=-Dapacheds.run.dir=%INSTANCE_HOME%/%INSTANCE%/run
+wrapper.java.additional.5=-Dapacheds.instance=%INSTANCE%
+wrapper.java.additional.6=-Dbootstrap.start.class=org.apache.ldap.server.Service
+wrapper.java.additional.7=-Dbootstrap.stop.class=org.apache.ldap.server.Service
+
+# Initial Java Heap Size (in MB)
+wrapper.java.initmemory=384
+
+# Maximum Java Heap Size (in MB)
+wrapper.java.maxmemory=384
+
+# Application parameters.  Add parameters as needed starting from 1
+wrapper.app.parameter.1=%APACHEDS_HOME%
+wrapper.app.parameter.2=org.apache.directory.server.Service
+wrapper.app.parameter.3=%INSTANCE_HOME%/%INSTANCE%/conf/server.xml
+
+#********************************************************************
+# Wrapper Logging Properties
+#********************************************************************
+# Format of output for the console.  (See docs for formats)
+wrapper.console.format=PM
+
+# Log Level for console output.  (See docs for log levels)
+wrapper.console.loglevel=INFO
+
+# Log file to use for wrapper output logging.
+wrapper.logfile="%INSTANCE_HOME%/%INSTANCE%/log/wrapper.log"
+
+# Format of output for the log file.  (See docs for formats)
+wrapper.logfile.format=LPTM
+
+# Log Level for log file output.  (See docs for log levels)
+wrapper.logfile.loglevel=INFO
+
+# Maximum size that the log file will be allowed to grow to before
+#  the log is rolled. Size is specified in bytes.  The default value
+#  of 0, disables log rolling.  May abbreviate with the 'k' (kb) or
+#  'm' (mb) suffix.  For example: 10m = 10 megabytes.
+wrapper.logfile.maxsize=1m
+
+# Maximum number of rolled log files which will be allowed before old
+#  files are deleted.  The default value of 0 implies no limit.
+wrapper.logfile.maxfiles=5
+
+# Log Level for sys/event log output.  (See docs for log levels)
+wrapper.syslog.loglevel=NONE
+
+#********************************************************************
+# Wrapper Windows Properties
+#********************************************************************
+# Title to use when running as a console
+wrapper.console.title=apacheds-%INSTANCE%
+
+#********************************************************************
+# Wrapper Windows NT/2000/XP Service Properties
+#********************************************************************
+# WARNING - Do not modify any of these properties when an application
+#  using this configuration file has been installed as a service.
+#  Please uninstall the service before modifying this section.  The
+#  service can then be reinstalled.
+
+# Name of the service
+wrapper.ntservice.name=apacheds-%INSTANCE%
+
+# Display name of the service
+wrapper.ntservice.displayname=Apache Directory Server - %INSTANCE%
+
+# Description of the service
+wrapper.ntservice.description=Apache Directory Server - %INSTANCE%
+
+# Service dependencies.  Add dependencies as needed starting from 1
+#wrapper.ntservice.dependency.1=
+
+# Mode in which the service is installed.  AUTO_START or DEMAND_START
+wrapper.ntservice.starttype=AUTO_START
+
+# Allow the service to interact with the desktop.
+wrapper.ntservice.interactive=false
+
+# Anything after this line can't be overridden
+#include "%INSTANCE_HOME%/%INSTANCE%/conf/apacheds.conf"
\ No newline at end of file

Modified: directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/control
URL: http://svn.apache.org/viewvc/directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/control?rev=635982&r1=635981&r2=635982&view=diff
==============================================================================
--- directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/control
(original)
+++ directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/control
Tue Mar 11 08:52:40 2008
@@ -1,12 +1,14 @@
 Package: apacheds
-Version: 1.5.2-SNAPSHOT
+Version: ${version.debian}
 Section: devel
 Priority: optional
 Architecture: i386
 Depends: 
-Installed-Size: 39037
+Installed-Size: 9318
 Maintainer: Apache Directory Project <dev@directory.apache.org>
-Description: LDAP Browser and Directory Client
- Apache Directory Studio is a complete directory tooling platform intended to 
- be used with any LDAP server however it is particularly designed for use 
- with the Apache Directory Server.
+Description: LDAP Server
+ ApacheDS is an embeddable directory server entirely written in Java, which 
+ has been certified LDAPv3 compatible by the Open Group. Besides LDAP it 
+ supports Kerberos 5 and the Change Password Protocol. It has been designed 
+ to introduce triggers, stored procedures, queues and views to the world of 
+ LDAP which has lacked these rich constructs.

Added: directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
URL: http://svn.apache.org/viewvc/directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst?rev=635982&view=auto
==============================================================================
--- directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
(added)
+++ directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/daemon/plugin/src/main/resources/org/apache/directory/daemon/installers/deb/postinst
Tue Mar 11 08:52:40 2008
@@ -0,0 +1,6 @@
+#!/bin/sh
+set -e
+
+# Setting executable permissions
+chmod o+x /opt/apacheds-${app.version}/bin/apacheds
+chmod o+x /etc/init.d/apacheds-${app.version}-default
\ No newline at end of file

Modified: directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/installers/apacheds/pom.xml
URL: http://svn.apache.org/viewvc/directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/installers/apacheds/pom.xml?rev=635982&r1=635981&r2=635982&view=diff
==============================================================================
--- directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/installers/apacheds/pom.xml
(original)
+++ directory/sandbox/pamarcelot/trunks/apacheds-additional-installers/installers/apacheds/pom.xml
Tue Mar 11 08:52:40 2008
@@ -327,6 +327,104 @@
       </build>
     </profile>
   
+  <profile>
+      <id>deb</id>
+      <build>
+        <plugins>
+          <plugin>
+            <groupId>org.apache.directory.daemon</groupId>
+            <artifactId>daemon-plugin</artifactId>
+            <version>1.1.2-SNAPSHOT</version>
+            <configuration>
+              <application>
+                <name>apacheds</name>
+                <version>1.5.2-SNAPSHOT</version>
+                <description>Apache Directory Server Debian</description>
+
+                <icon>src/main/resources/feather.ico</icon>
+                <copyrightYear>2007</copyrightYear>
+                <minimumJavaVersion>1.5</minimumJavaVersion>
+                <url>http://directory.apache.org</url>
+                <email>users@directory.apache.org</email>
+                <license>target/classes/META-INF/LICENSE</license>
+                <authors>
+                  <author>Apache Directory Team</author>
+                  <author>akarasulu@apache.org</author>
+                  <author>ckoppelt@apache.org</author>
+                  <author>elecharny@apache.org</author>
+                  <author>erodriguez@apache.org</author>
+                  <author>ersiner@apache.org</author>
+                  <author>oersoy@apache.org</author>
+                  <author>pamarcelot@apache.org</author>
+                  <author>szoerner@apache.org</author>
+                  <author>seelmann@apache.org</author>
+                  <author>trustin@apache.org</author>
+                </authors>
+              </application>
+              <packagedFiles>
+                <packagedFile>
+                  <source>org.apache.directory.server:apacheds-server-tools</source>
+                  <destinationPath>bin/apacheds-tools.jar</destinationPath>
+                  <dependency>true</dependency>
+                  <installationBundleId>Binaries</installationBundleId>
+                </packagedFile>
+                <packagedFile>
+                  <source>target/classes/META-INF/NOTICE</source>
+                  <destinationPath>NOTICE</destinationPath>
+                  <executable>false</executable>
+                  <filtered>true</filtered>
+                </packagedFile>
+              </packagedFiles>
+              <applicationClass>
+                org.apache.ldap.server.Service
+              </applicationClass>
+              <debTargets>
+                <debTarget>
+                 <id>apacheds-debian</id>
+                  <finalName>apacheds-debian</finalName>
+                  <osName>linux</osName>
+                  <osFamily>linux</osFamily>
+                  <osArch>i386</osArch>
+                  <daemonFramework>tanuki</daemonFramework>
+                </debTarget>
+              </debTargets>
+
+              <excludes>
+                <!-- apacheds-tools.jar does not get put in lib directory -->
+                <exclude>org.apache.directory.server:apacheds-server-tools</exclude>
+
+                <exclude>ant:ant</exclude>
+                <exclude>aopalliance:aopalliance</exclude>
+                <exclude>xerces:xerces</exclude>
+                <!--exclude>commons-pool:commons-pool</exclude-->
+                <exclude>xml-apis:xml-apis</exclude>
+                <exclude>aspectwerkz:aspectwerkz-core</exclude>
+                <exclude>velocity:velocity</exclude>
+                <exclude>org.springframework:spring-aop</exclude>
+                <exclude>qdox:qdox</exclude>
+                <exclude>oro:oro</exclude>
+                <exclude>commons-attributes:commons-attributes-compiler</exclude>
+                <exclude>commons-attributes:commons-attributes-api</exclude>
+                <exclude>cglib:cglib</exclude>
+                <exclude>velocity:velocity-dep</exclude>
+                <exclude>com.jamonapi:jamon</exclude>
+                <exclude>asm:asm</exclude>
+                <exclude>freemarker:freemarker</exclude>
+                <exclude>asm:asm-util</exclude>
+                <exclude>jasperreports:jasperreports</exclude>
+              </excludes>
+            </configuration>
+            <executions>
+              <execution>
+                <goals>
+                  <goal>generate</goal>
+                </goals>
+              </execution>
+            </executions>
+          </plugin>
+        </plugins>
+      </build>
+    </profile>
   
     <profile>
       <id>suite-installer</id>



Mime
View raw message